﻿(function ($) {       
    $(document).ready(function () {        
    });
    var methods = {
        init: function (args) {
            return this;
        },
        
        displayObjects: function (object, parentUl, parentLi) {
            var thisUl = $('<ul>');
            $.each(object, function (prop, val) {
                if (prop != null) {
                    if (object.hasOwnProperty(prop)) {
                        if (typeof object[prop] == "object") {
                            var thisLi = $('<li>', { text: prop + ": " });
                            methods.displayObjects(object[prop], thisUl, thisLi);
                        }
                        else {
                            $('<li>', { text: prop + ": " + val }).appendTo($(thisUl));
                        }
                    }
                }
            });
            if (parentLi != null && parentLi != "undefined") {
                thisUl.appendTo(parentLi);
            }
            if (parentUl != null && parentUl != "undefined") {
                parentLi.appendTo(parentUl);
            }
            else {
                return thisUl;
            }
        }
    };
        
    $.fn.appCommon = function (method) {
        if (methods[method]) {
            return methods[method].apply(this, Array.prototype.slice.call(arguments, 1));
        } else if (typeof method === 'object' || !method) {
            return methods.init.apply(this, arguments);
        } else {
            $.error('Method ' + method + ' does not exist in appCommon.js plug-in');
        }
    };
})(jQuery);

function displayListObjects (object, parentUl, parentLi) {
    var thisUl = $('<ul>');
    $.each(object, function (prop, val) {
        if (object.hasOwnProperty(prop)) {
            if (typeof object[prop] == "object") {
                var thisLi = $('<li>', { text: prop + ": " });
                displayListObjects(object[prop], thisUl, thisLi);
            }
            else {
                $('<li>', { text: prop + ": " + val }).appendTo($(thisUl));
            }
        }
    });
    if (parentLi != null && parentLi != "undefined") {
        thisUl.appendTo(parentLi);
    }
    if (parentUl != null && parentUl != "undefined") {
        parentLi.appendTo(parentUl);
    }
    else {
        return thisUl;
    }
}

