﻿'use strict';
angular.module('smApp.AppServices', ['ngResource'])

//Not work - Parameters attached to URL will be removed by $resource.
.factory('getNvpsToNest', function ($resource) {
    var params = this.params;
    return $resource('api/nvpstonestget?' + params, {}, {
        query: { method: 'GET', isArray: false  }
    });
})

//Specify form-urlencoded content type.
//In AngularJS, content-type defaults to application/json.
.factory('postNvpsToNest', function ($resource) {
    return $resource('api/nvpstonestpost', {}, {
        post: {
            method: 'POST', isArray: false,
            headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
        }
    });
})

//Used for additional test.
.factory('postStringListOrArray', function ($resource) {
    return $resource('api/stringlistorarraypost', {}, {
        post: {
            method: 'POST', isArray: false,
            headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
        }
    });
})
;

