﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using System.Web.Http.ModelBinding;
using SM.Store.Api;
using SM.General.Api;

namespace SM.Store.Api.Controllers
{    
    [RoutePrefix("api/products")]
    public class ProductsController : ApiController
    {
        [Route("~/api/nvpstonestget")]
        public NestSearchRequest Get_NvpsToNest([ModelBinder(typeof(FieldValueModelBinder))] NestSearchRequest request)
        {
            return request;
        }

        [Route("~/api/nvpstonestpost")]
        public NestSearchRequest Post_NvpsToNest([ModelBinder(typeof(FieldValueModelBinder))] NestSearchRequest request)
        {
            return request;
        }
                
        [Route("~/api/nvpstonestcollectionget")]
        public ComplexSearchRequest Get_NvpsToNestCollection([ModelBinder(typeof(FieldValueModelBinder))] ComplexSearchRequest request)
        {
            return request;
        }

        [Route("~/api/stringlistorarrayget")]
        public PagingSortRequest2 Get_StringListOrArray([ModelBinder(typeof(FieldValueModelBinder))] PagingSortRequest2 request)
        {
            return request;
        }

        //Used for testing passing json object.
        [Route("~/api/stringlistorarraypost")]
        public PagingSortRequest2 Post_StringListOrArray([ModelBinder(typeof(FieldValueModelBinder))] PagingSortRequest2 request)
        {
            return request;
        } 
    }
}
